
package com.ejie.ab79.clientesWS.ab63WebService;

import javax.xml.ws.WebFault;

/**
 * This class was  
 * source version: 2.1
 * 
 */
@WebFault(name = "IOException", targetNamespace = "http://com.ejie.ab63.serviciosWeb")
public class IOException_Exception extends Exception {

	private static final long serialVersionUID = 1L;

	/**
	 * Java type that goes as soapenv:Fault detail element.
	 * 
	 */
	private IOException faultInfo;

	/**
	 * 
	 * @param faultInfo
	 * @param message
	 */
	public IOException_Exception(String message, IOException faultInfo) {
		super(message);
		this.faultInfo = faultInfo;
	}

	/**
	 * 
	 * @param faultInfo
	 * @param cause
	 * @param message
	 */
	public IOException_Exception(String message, IOException faultInfo, Throwable cause) {
		super(message, cause);
		this.faultInfo = faultInfo;
	}

	/**
	 * 
	 * @return returns fault bean:
	 *         com.ejie.ab79.clientesWS.ab63WebService.IOException
	 */
	public IOException getFaultInfo() {
		return faultInfo;
	}

}
